r8108 - in trunk/BOOK: . gnome/add gnome/core introduction/welcome postlfs/security

wblaszcz at linuxfromscratch.org wblaszcz at linuxfromscratch.org
Fri Oct 30 21:35:12 PDT 2009


Author: wblaszcz
Date: 2009-10-30 22:35:12 -0600 (Fri, 30 Oct 2009)
New Revision: 8108

Added:
   trunk/BOOK/postlfs/security/polkit-gnome.xml
Modified:
   trunk/BOOK/general.ent
   trunk/BOOK/gnome/add/gdm.xml
   trunk/BOOK/gnome/core/gnome-control-center.xml
   trunk/BOOK/gnome/core/gnome-session.xml
   trunk/BOOK/gnome/core/pre-install-config.xml
   trunk/BOOK/introduction/welcome/changelog.xml
   trunk/BOOK/postlfs/security/security.xml
Log:
Added new package, polkit-gnome-0.94 and fixed up pre-install-config

Modified: trunk/BOOK/general.ent
===================================================================
--- trunk/BOOK/general.ent	2009-10-27 09:43:47 UTC (rev 8107)
+++ trunk/BOOK/general.ent	2009-10-31 04:35:12 UTC (rev 8108)
@@ -3,13 +3,13 @@
 $Date$
 -->
 
-<!ENTITY day          "25">                   <!-- Always 2 digits -->
+<!ENTITY day          "31">                   <!-- Always 2 digits -->
 <!ENTITY month        "10">                   <!-- Always 2 digits -->
 <!ENTITY year         "2009">
 <!ENTITY copyrightdate "2001-&year;">
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "svn-&year;&month;&day;">
-<!ENTITY releasedate  "October &day;th, &year;">
+<!ENTITY releasedate  "October &day;st, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
 <!ENTITY lfs-version  "development">          <!-- version|testing|unstable|development] -->
@@ -90,6 +90,7 @@
 <!ENTITY nss-version                  "3.12.4">
 <!ENTITY policykit-version            "0.9">
 <!ENTITY polkit-version               "0.94">
+<!ENTITY polkit-gnome-version         "0.94">
 <!ENTITY consolekit-version           "0.3.0">
 
 <!-- Chapter 5 -->

Modified: trunk/BOOK/gnome/add/gdm.xml
===================================================================
--- trunk/BOOK/gnome/add/gdm.xml	2009-10-27 09:43:47 UTC (rev 8107)
+++ trunk/BOOK/gnome/add/gdm.xml	2009-10-31 04:35:12 UTC (rev 8108)
@@ -61,7 +61,7 @@
     <itemizedlist spacing="compact">
       <listitem>
         <para>Required patch: <ulink
-        url="&patch-root;/gdm-2.26.1-sysconfdir-1.patch"/></para>
+        url="&patch-root;/gdm-&gdm-version;-fixes-1.patch"/></para>
       </listitem>
     </itemizedlist>
 
@@ -74,13 +74,13 @@
 
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended"><xref linkend="consolekit"/>
-    (Required for Shutdown/Restart functionality)</para>
+    (Required for Shutdown/Restart functionality) and
+    <xref linkend="polkit-gnome"/></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional"><xref linkend="intltool"/>,
-    <xref linkend="linux-pam"/>,
-    <xref linkend="tcpwrappers"/>, and
-    <ulink url="http://hal.freedesktop.org/releases/">polkit-gnome</ulink></para>
+    <xref linkend="linux-pam"/>, and
+    <xref linkend="tcpwrappers"/></para>
 
     <para condition="html" role="usernotes">User Notes:
     <ulink url="&blfs-wiki;/gdm"/></para>
@@ -102,7 +102,7 @@
     <para>Install <application>GDM</application> by running
     the following commands as an unprivileged user:</para>
 
-<screen><userinput>patch -Np1 -i ../gdm-2.26.1-sysconfdir-1.patch &&
+<screen><userinput>patch -Np1 -i ../gdm-&gdm-version;-fixes-1.patch &&
 ./configure --prefix=$(pkg-config --variable=prefix ORBit-2.0) \
             --sysconfdir=&gnome-etc-dir; \
             --localstatedir=/var \
@@ -120,6 +120,8 @@
     ORBit-2.0)/lib/gnome-settings-daemon/gnome-settings-daemon $(pkg-config \
     --variable=prefix ORBit-2.0)/lib/gdm &&
 ln -s /usr/lib/ConsoleKit/ck-get-x11-display-device $(pkg-config \
+    --variable=prefix ORBit-2.0)/lib/gdm &&
+ln -s /usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1 $(pkg-config \
     --variable=prefix ORBit-2.0)/lib/gdm
 </userinput></screen>
 

Modified: trunk/BOOK/gnome/core/gnome-control-center.xml
===================================================================
--- trunk/BOOK/gnome/core/gnome-control-center.xml	2009-10-27 09:43:47 UTC (rev 8107)
+++ trunk/BOOK/gnome/core/gnome-control-center.xml	2009-10-31 04:35:12 UTC (rev 8108)
@@ -61,11 +61,13 @@
     <xref linkend="gnome-panel"/>, and
     <xref linkend="metacity"/></para>
 
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended"><xref linkend="polkit-gnome"/></para>
+
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional"><xref linkend="hal"/>,
-    <xref linkend="shared-mime-info"/>,
-    <xref linkend="evolution-data-server"/>, and
-    <ulink url="http://hal.freedesktop.org/releases/">polkit-gnome</ulink></para>
+    <xref linkend="shared-mime-info"/>, and
+    <xref linkend="evolution-data-server"/></para>
 
     <para>Though they are only run-time dependencies and
     <application>GNOME Control Center</application> will compile just fine without

Modified: trunk/BOOK/gnome/core/gnome-session.xml
===================================================================
--- trunk/BOOK/gnome/core/gnome-session.xml	2009-10-27 09:43:47 UTC (rev 8107)
+++ trunk/BOOK/gnome/core/gnome-session.xml	2009-10-31 04:35:12 UTC (rev 8108)
@@ -64,9 +64,11 @@
     <xref linkend="DeviceKit-power"/>, and
     <xref linkend="GConf"/></para>
 
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended"><xref linkend="polkit-gnome"/></para>
+
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="tcpwrappers"/>,
-    <ulink url="http://hal.freedesktop.org/releases/">polkit-gnome</ulink>, and
+    <para role="optional"><xref linkend="tcpwrappers"/>, and
     <ulink url="http://cyberelk.net/tim/software/xmlto/">xmlto</ulink></para>
 
     <para condition="html" role="usernotes">User Notes:

Modified: trunk/BOOK/gnome/core/pre-install-config.xml
===================================================================
--- trunk/BOOK/gnome/core/pre-install-config.xml	2009-10-27 09:43:47 UTC (rev 8107)
+++ trunk/BOOK/gnome/core/pre-install-config.xml	2009-10-31 04:35:12 UTC (rev 8108)
@@ -33,33 +33,33 @@
     issue the following commands as the
     <systemitem class='username'>root</systemitem> user:</para>
 
-<screen role='root'><userinput>install -v -m755 -d /opt/gnome-&gnome-old-version;&gnome-minor-version; &&
-ln -v -s gnome-&gnome-old-version;&gnome-minor-version; /opt/gnome</userinput></screen>
+<screen role='root'><userinput>install -v -m755 -d /opt/gnome-&gnome-version;&gnome-minor-version; &&
+ln -v -s gnome-&gnome-version;&gnome-minor-version; /opt/gnome</userinput></screen>
   </note>
 
   <para>If you created the symbolic link, change all instances of <filename
-  class='directory'>/opt/gnome-&gnome-old-version;&gnome-minor-version;</filename>
+  class='directory'>/opt/gnome-&gnome-version;&gnome-minor-version;</filename>
   to <filename class='directory'>/opt/gnome</filename> in the instructions
   below.</para>
 
-<screen><userinput>export GNOME_PREFIX=/opt/gnome-&gnome-old-version;&gnome-minor-version;</userinput></screen>
+<screen><userinput>export GNOME_PREFIX=/opt/gnome-&gnome-version;&gnome-minor-version;</userinput></screen>
 
   <para>The try-out group will also need to make all the following
   configuration changes:</para>
 
   <para>Add to your system or personal profile:</para>
 
-<screen><literal>export PATH=$PATH:/opt/gnome-&gnome-old-version;&gnome-minor-version;/bin
-export PKG_CONFIG_PATH=$PKG_CONFIG_PATH:/opt/gnome-&gnome-old-version;&gnome-minor-version;/lib/pkgconfig
-export PKG_CONFIG_PATH=$PKG_CONFIG_PATH:/opt/gnome-&gnome-old-version;&gnome-minor-version;/share/pkgconfig
-export GNOME_LIBCONFIG_PATH=/usr/lib:/opt/gnome-&gnome-old-version;&gnome-minor-version;/lib</literal></screen>
+<screen><literal>export PATH=$PATH:/opt/gnome-&gnome-version;&gnome-minor-version;/bin
+export PKG_CONFIG_PATH=$PKG_CONFIG_PATH:/opt/gnome-&gnome-version;&gnome-minor-version;/lib/pkgconfig
+export PKG_CONFIG_PATH=$PKG_CONFIG_PATH:/opt/gnome-&gnome-version;&gnome-minor-version;/share/pkgconfig
+export GNOME_LIBCONFIG_PATH=/usr/lib:/opt/gnome-&gnome-version;&gnome-minor-version;/lib</literal></screen>
 
   <para>Add to your <filename>/etc/ld.so.conf</filename>:</para>
 
 <screen role='root'><userinput>cat >> /etc/ld.so.conf << "EOF"
 <literal># Begin gnome addition to /etc/ld.so.conf
 
-/opt/gnome-&gnome-old-version;&gnome-minor-version;/lib
+/opt/gnome-&gnome-version;&gnome-minor-version;/lib
 
 # End gnome addition</literal>
 EOF</userinput></screen>
@@ -69,7 +69,7 @@
 <screen role='root'><userinput>cat >> /etc/man_db.conf << "EOF"
 <literal># Begin gnome addition to man_db.conf
 
-MANDATORY_MANPATH /opt/gnome-&gnome-old-version;&gnome-minor-version;/share/man
+MANDATORY_MANPATH /opt/gnome-&gnome-version;&gnome-minor-version;/share/man
 
 # End gnome addition to man_db.conf</literal>
 EOF</userinput></screen>

Modified: trunk/BOOK/introduction/welcome/changelog.xml
===================================================================
--- trunk/BOOK/introduction/welcome/changelog.xml	2009-10-27 09:43:47 UTC (rev 8107)
+++ trunk/BOOK/introduction/welcome/changelog.xml	2009-10-31 04:35:12 UTC (rev 8108)
@@ -41,6 +41,15 @@
 
 -->
     <listitem>
+      <para>October 31st, 2009</para>
+      <itemizedlist>
+        <listitem>
+          <para>[wblaszcz] - Added new package. polkit-gnome-0.94.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>October 27th, 2009</para>
       <itemizedlist>
         <listitem>

Added: trunk/BOOK/postlfs/security/polkit-gnome.xml
===================================================================
--- trunk/BOOK/postlfs/security/polkit-gnome.xml	                        (rev 0)
+++ trunk/BOOK/postlfs/security/polkit-gnome.xml	2009-10-31 04:35:12 UTC (rev 8108)
@@ -0,0 +1,146 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY polkit-gnome-download-http "http://hal.freedesktop.org/releases/polkit-gnome-&polkit-gnome-version;.tar.bz2">
+  <!ENTITY polkit-gnome-download-ftp  " ">
+  <!ENTITY polkit-gnome-md5sum        "eebab8363a7b7c0516aca4f7b7cd7f7a">
+  <!ENTITY polkit-gnome-size          "357 KB">
+  <!ENTITY polkit-gnome-buildsize     "5 MB">
+  <!ENTITY polkit-gnome-time          "0.1 SBU">
+]>
+
+<sect1 id="polkit-gnome" xreflabel="polkit-gnome-&polkit-gnome-version;">
+  <?dbhtml filename="polkit-gnome.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>polkit-gnome-&polkit-gnome-version;</title>
+
+  <indexterm zone="polkit-gnome">
+    <primary sortas="a-polkit-gnome">polkit-gnome</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to polkit-gnome</title>
+
+    <para>The <application>polkit-gnome</application> package provides an
+    Authentication Agent for <application>polkit</application> that integrates
+    well with the <application>GNOME</application> desktop environment.</para>
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&polkit-gnome-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&polkit-gnome-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &polkit-gnome-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &polkit-gnome-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &polkit-gnome-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &polkit-gnome-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">polkit-gnome Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required"><xref linkend="gtk2"/> and
+    <xref linkend="polkit"/></para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional"><xref linkend="gtk-doc"/></para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/polkit-gnome"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of polkit-gnome</title>
+
+    <para>Install <application>polkit-gnome</application> by running the following
+    commands:</para>
+
+<screen><userinput>./configure --prefix=/usr --sysconfdir=/etc \
+    --libexecdir=/usr/lib/polkit-gnome &&
+make</userinput></screen>
+
+    <para>This package does not come with a test suite.</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../xincludes/gtk-doc-rebuild.xml"/>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Program</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>polkit-gnome-authentication-agent-1</seg>
+        <seg>libpolkit-gtk-1.{so,a}</seg>
+        <seg>/etc/xdg/autostart, /usr/{include/polkit-gtk-1/polkitgtk,
+        lib/polkit-gnome}</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="polkit-gnome-authentication-agent-1">
+        <term><command>polkit-gnome-authentication-agent-1</command></term>
+        <listitem>
+          <para>is the polkit-gnome authentication agent.</para>
+          <indexterm zone="polkit-gnome polkit-gnome-authentication-agent-1">
+            <primary
+            sortas="b-polkit-gnome-authentication-agent-1">polkit-gnome-authentication-agent-1</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libpolkit-gtk-1">
+        <term><filename
+        class='libraryfile'>libpolkit-gtk-1.{so,a}</filename></term>
+        <listitem>
+          <para>contains the <application>polkit-gnome</application>
+          authentication agent API functions.</para>
+          <indexterm zone="polkit-gnome libpolkit-gtk-1">
+            <primary sortas="c-libpolkit-gtk-1">libpolkit-gtk-1.{so,a}</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>


Property changes on: trunk/BOOK/postlfs/security/polkit-gnome.xml
___________________________________________________________________
Name: svn:keywords
   + LastChangedBy Date

Modified: trunk/BOOK/postlfs/security/security.xml
===================================================================
--- trunk/BOOK/postlfs/security/security.xml	2009-10-27 09:43:47 UTC (rev 8107)
+++ trunk/BOOK/postlfs/security/security.xml	2009-10-31 04:35:12 UTC (rev 8108)
@@ -57,6 +57,7 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="nss.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="policykit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="polkit.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="polkit-gnome.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="consolekit.xml"/>
 
 </chapter>




More information about the blfs-book mailing list